com.jscape.inet.dns.record

## Class StartOfAuthority

- java.lang.Object
- - com.jscape.inet.dns.record.DnsRecord
  - - com.jscape.inet.dns.record.StartOfAuthority

- All Implemented Interfaces:
    java.io.Serializable

      public class StartOfAuthority
      extends DnsRecord

  StartOfAuthority record marks the start of a zone of authority.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartOfAuthority()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getExpire()` Gets time interval that can elapse before the zone is no longer authoritative.
    `java.lang.String` | `getMailAddress()` Gets e-mail address of the person responsible for this zone.
    `java.lang.String` | `getOrigin()` Gets domain-name of the name server that was the original or primary source of data for this zone.
    `long` | `getRefresh()` Gets time interval before the zone should be refreshed.
    `long` | `getRetry()` Gets retry interval for a failed refresh.
    `long` | `getSerial()` Gets version number of the orignal copy of the zone.
    `long` | `getTTL()` Gets TTL (Time to Live) for resource records from this zone.
    `java.lang.String` | `toString()` Gets String representation of this record.

    - ### Methods inherited from class com.jscape.inet.dns.record.DnsRecord

      `getRecordClass, getRecordName, getRecordTTL, getRecordType, init, isValid`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StartOfAuthority

          public StartOfAuthority()

  - ### Method Detail

    - #### getOrigin

          public java.lang.String getOrigin()

      Gets domain-name of the name server that was the original or primary source of data for this zone.
      Returns:
        origin

    - #### getMailAddress

          public java.lang.String getMailAddress()

      Gets e-mail address of the person responsible for this zone.
      Returns:
        e-mail address

    - #### getSerial

          public long getSerial()

      Gets version number of the orignal copy of the zone.
      Returns:
        version number

    - #### getRefresh

          public long getRefresh()

      Gets time interval before the zone should be refreshed.
      Returns:
        refresh interval

    - #### getRetry

          public long getRetry()

      Gets retry interval for a failed refresh.
      Returns:
        retry interval

    - #### getExpire

          public long getExpire()

      Gets time interval that can elapse before the zone is no longer authoritative.
      Returns:
        time interval

    - #### getTTL

          public long getTTL()

      Gets TTL (Time to Live) for resource records from this zone.
      Returns:
        time to live

    - #### toString

          public java.lang.String toString()

      Gets String representation of this record.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved